Package com.collibra.catalog.sampler.api.dto

# Class ReadSamplesRequest

Object
ReadSamplesRequest

All Implemented Interfaces:
  `Serializable`

public class ReadSamplesRequest extends Object implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ReadSamplesRequest.Builder`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `ReadSamplesRequest()`
  `protected`
  `ReadSamplesRequest(int columnLimit, int columnOffset, UUID assetId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ReadSamplesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetId()`
  `int`
  `getColumnLimit()`
  `int`
  `getColumnOffset()`
  `int`
  `hashCode()`
  `void`
  `setAssetId(UUID assetId)`
  `void`
  `setColumnLimit(int columnLimit)`
  `void`
  `setColumnOffset(int columnOffset)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReadSamplesRequest

    protected ReadSamplesRequest(int columnLimit, int columnOffset, UUID assetId)

  - ### ReadSamplesRequest

    public ReadSamplesRequest()

- ## Method Details

  - ### builder

    public static ReadSamplesRequest.Builder builder()

  - ### getColumnLimit

    public int getColumnLimit()

  - ### getColumnOffset

    public int getColumnOffset()

  - ### getAssetId

    public UUID getAssetId()

  - ### setColumnLimit

    public void setColumnLimit(int columnLimit)

  - ### setColumnOffset

    public void setColumnOffset(int columnOffset)

  - ### setAssetId

    public void setAssetId(UUID assetId)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`